const expect = require('chai').expect
const { makePoolCluster,
  makeAndConnect,
} = require('../index.js')


describe('makes connections', () => {
  const paramsSingle =
    {
      host: 'localhost',
      password: 'test_pass',
      port: 3305,
      user: 'root',
    }
  const paramsSingleMissing =
    {
      password: 'test_pass',
      port: 3305,
      user: 'root',
    }


  const paramsToTest = [
    {
      database: 'sys',
      host: 'localhost',
      name: 'first',
      password: 'test_pass',
      port: 3306,
      user: 'root',
    },
    {
      host: 'localhost',
      name: 'second',
      password: 'test_pass',
      port: 3305,
      user: 'root',
    },
  ]
  it('should make single conn', done => {
    makeAndConnect(paramsSingle, (err, ret) => {
      const result = 3305
      expect(ret.config.port).to.eql(result)
      done()
    })
  })
  it('should give error missing param', done => {
    makeAndConnect(paramsSingleMissing, err => {
      const result = 'cant connect to db'
      expect(err.err).to.eql(result)
      done()
    })
  })
  it('should give error missing param', done => {
    const Cluster = makePoolCluster(paramsToTest)
    const result = 3306
    Cluster.getConnection(
      'first',
      (err, connection) => {
        expect(connection.config.port).to.eql(result)
        done()
      })
  })
})

