const { makeMysqlPoolCluster, getMysqlClusterConn } = require('../index.js')

const paramsToTest = [
  {
    database: 'sys',
    host: 'localhost',
    name: 'first',
    password: 'test_pass',
    port: 3306,
    user: 'root',
  },
  {
    host: 'localhost',
    name: 'second',
    password: 'test_pass',
    port: 3305,
    user: 'root',
  },
]


const Cluster = makeMysqlPoolCluster(paramsToTest)

const useSingleConn = async (cluster, name) => {
  try {
    const conn = await getMysqlClusterConn(Cluster, name)
    console.log(conn)
  } catch (err) {
    console.log(err)
  }
}

useSingleConn(Cluster, 'first')
